Bug 1656777 - packaging issues with ctdb (missing folders at least)
Summary: packaging issues with ctdb (missing folders at least)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ctdb
Version: 29
Hardware: armv7hl
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Guenther Deschner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-06 10:00 UTC by Torbjorn Jansson
Modified: 2019-07-20 03:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-02 00:54:15 UTC


Attachments (Terms of Use)

Description Torbjorn Jansson 2018-12-06 10:00:39 UTC
Description of problem:
ctdb package appears to have something missing for it to function properly.
if you install ctdb and set it up it errors at start of the daemon with:

ctdbd[5547]: CTDB starting on node
ctdbd[5548]: Starting CTDBD (Version 4.9.3) as PID: 5548
ctdbd[5548]: Created PID file /var/run/ctdb/ctdbd.pid
ctdbd[5548]: Removed stale socket /var/run/ctdb/ctdbd.socket
ctdbd[5548]: Listening to ctdb socket /var/run/ctdb/ctdbd.socket
ctdbd[5548]: Set real-time scheduler priority
ctdbd[5548]: Starting event daemon /usr/libexec/ctdb/ctdb-eventd -P 5548 -S
ctdbd[5548]: Set runstate to INIT (1)
ctdbd[5548]: ctdb exiting with error: Failed to run init event
ctdbd[5548]:
ctdbd[5548]: CTDB daemon shutting down
ctdb-eventd[5550]: PID 5548 gone away, exiting

with no hint as to why it fails.
running ctdbd thru strace gave me a clue.

there is a missing folder that's causing this, so running:
mkdir -p /etc/ctdb/events/legacy
to create the missing legacy folder gets me a bit further.

after this i get a bit further but this time it errors on:
ctdbd[4472]: tdb(/var/lib/ctdb/state/persistent_health.tdb.0): tdb_open_ex: could not open file /var/lib/ctdb/state/persistent_health.tdb.0: No such file or directory

so create the missing state folder:
mkdir -p /var/lib/ctdb/state

this now results in a daemon that starts up.


but give above issues and two missing folders i cant be sure that this is the only issues.
so far i have not been able to convince ctdb to takeover specified public ip addresses.
logfile for ctdb shows it is repeatedly trying to takeover ip but no sign of why it never succeeds.

i suspect it might have something to do with the legacy event scripts but not sure.



Version-Release number of selected component (if applicable):
ctdb-4.9.3-0.fc29.armv7hl


How reproducible:


Steps to Reproduce:
1. install ctdb
2. setup ctdb
3. try to start the daemon and watch it fail with next to no clues in log

Actual results:
daemon fails to start

Expected results:
daemon starts up properly.

Additional info:

Comment 1 Harry Coin 2019-04-09 01:48:20 UTC
Confirmed.  Just as written, but also on amd64.  Makes using fedora for clustered cifs sharing impossible.  Also a threat to freeipa.

Comment 2 Fedora Update System 2019-05-28 12:18:59 UTC
samba-4.10.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-947798a22d

Comment 3 Fedora Update System 2019-05-28 12:36:35 UTC
samba-4.9.8-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2b6e64e5ca

Comment 4 Fedora Update System 2019-05-28 22:11:33 UTC
samba-4.9.8-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2b6e64e5ca

Comment 5 Fedora Update System 2019-05-29 01:35:54 UTC
samba-4.10.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-947798a22d

Comment 6 Fedora Update System 2019-06-02 00:54:15 UTC
samba-4.10.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-06-19 16:31:57 UTC
FEDORA-2019-144e2b30dd has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-144e2b30dd

Comment 8 Fedora Update System 2019-06-20 02:17:56 UTC
samba-4.9.9-0.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-144e2b30dd

Comment 9 Fedora Update System 2019-07-04 10:16:33 UTC
FEDORA-2019-8966706e33 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8966706e33

Comment 10 Fedora Update System 2019-07-05 02:07:52 UTC
libldb-1.4.7-1.fc29, samba-4.9.11-0.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8966706e33

Comment 11 Fedora Update System 2019-07-20 03:46:47 UTC
libldb-1.4.7-1.fc29, samba-4.9.11-0.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.